%?mingw_package_header

Summary:        MinGW Windows port of the LibTIFF library
Name:           mingw-libtiff
Version:        4.0.7
Release:        %mkrel 1
License:        libtiff
Group:          Development/Other
URL:            http://www.simplesystems.org/libtiff/
Source:         ftp://ftp.simplesystems.org/pub/libtiff/tiff-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-zlib
BuildRequires:  mingw32-libjpeg-turbo
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils

BuildRequires:  mingw64-zlib
BuildRequires:  mingw64-libjpeg-turbo
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-binutils


%description
The libtiff package contains a library of functions for manipulating
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large.

The libtiff package should be installed if you need to manipulate TIFF
format image files.


# Win32
%package -n mingw32-libtiff
Summary:        MinGW Windows port of the LibTIFF library

%description -n mingw32-libtiff
The libtiff package contains a library of functions for manipulating
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large.

The libtiff package should be installed if you need to manipulate TIFF
format image files.

%package -n mingw32-libtiff-static
Summary:        Static version of the MinGW Windows LibTIFF library
Requires:       mingw32-libtiff = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-libtiff-static
Static version of the MinGW Windows LibTIFF library.

# Win64
%package -n mingw64-libtiff
Summary:        MinGW Windows port of the LibTIFF library

%description -n mingw64-libtiff
The libtiff package contains a library of functions for manipulating
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large.

The libtiff package should be installed if you need to manipulate TIFF
format image files.

%package -n mingw64-libtiff-static
Summary:        Static version of the MinGW Windows LibTIFF library
Requires:       mingw64-libtiff = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-libtiff-static
Static version of the MinGW Windows LibTIFF library.


%?mingw_debug_package


%prep
%setup -q -n tiff-%{version}


%build
export MINGW32_CFLAGS="%{mingw32_cflags} -fno-strict-aliasing"
export MINGW64_CFLAGS="%{mingw64_cflags} -fno-strict-aliasing"
%mingw_configure --enable-static --enable-shared --enable-ld-version-script
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

# remove docs
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/doc
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/doc
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}

# remove binaries
rm -f $RPM_BUILD_ROOT%{mingw32_bindir}/*.exe
rm -f $RPM_BUILD_ROOT%{mingw64_bindir}/*.exe

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-libtiff
%doc COPYRIGHT README RELEASE-DATE VERSION TODO ChangeLog
%{mingw32_bindir}/libtiff-5.dll
%{mingw32_bindir}/libtiffxx-5.dll
%{mingw32_includedir}/*
%{mingw32_libdir}/libtiff.dll.a
%{mingw32_libdir}/libtiffxx.dll.a
%{mingw32_libdir}/pkgconfig/libtiff-4.pc

%files -n mingw32-libtiff-static
%{mingw32_libdir}/libtiff.a
%{mingw32_libdir}/libtiffxx.a

# Win64
%files -n mingw64-libtiff
%doc COPYRIGHT README RELEASE-DATE VERSION TODO ChangeLog
%{mingw64_bindir}/libtiff-5.dll
%{mingw64_bindir}/libtiffxx-5.dll
%{mingw64_includedir}/*
%{mingw64_libdir}/libtiff.dll.a
%{mingw64_libdir}/libtiffxx.dll.a
%{mingw64_libdir}/pkgconfig/libtiff-4.pc

%files -n mingw64-libtiff-static
%{mingw64_libdir}/libtiff.a
%{mingw64_libdir}/libtiffxx.a


%changelog
* Tue May 09 2017 akien <akien> 4.0.7-1.mga6
+ Revision: 1099831
- Version 4.0.7, upstreams many CVE fixes

* Mon Apr 11 2016 tv <tv> 4.0.3-7.mga6
+ Revision: 1000308
- security fixes

* Mon Feb 01 2016 umeabot <umeabot> 4.0.3-6.mga6
+ Revision: 930012
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0.3-5.mga5
+ Revision: 751147
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.3-4.mga5
+ Revision: 682489
- Mageia 5 Mass Rebuild

* Sat Oct 26 2013 neoclust <neoclust> 4.0.3-3.mga4
+ Revision: 547017
- imported package mingw-libtiff

